funcs.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Data Structures

struct | GWEN_FUNCS

## Macros

#define | GWEN_FE_D GWEN_FUNCS_ENTRY_DB_NODE
#define | GWEN_FE_DA GWEN_FUNCS_ENTRY_DB_NODE_ARGS
#define | GWEN_FE_DAH GWEN_FUNCS_ENTRY_DB_NODE_ARGS_HELP
#define | GWEN_FE_END GWEN_FUNCS_ENTRY_END
#define | GWEN_FUNCS_ENTRY(a, b)
#define | GWEN_FUNCS_ENTRY_ARGS(a, b)
#define | GWEN_FUNCS_ENTRY_DB_NODE_ARGS(a, b)
#define | GWEN_FUNCS_ENTRY_DB_NODE_ARGS_HELP(a, b, c)
#define | GWEN_FUNCS_ENTRY_END()
#define | GWEN_FUNCS_ENTRY_HELP(a, b, c)
#define | GWEN_FUNNCS_ENTRY_ARGS_HELP(a, b, c)

## Functions

GWENHYWFAR_API int | GWEN_Funcs_Call (const GWEN_FUNCS *func)
GWENHYWFAR_API int | GWEN_Funcs_Call_Args (const GWEN_FUNCS *func, int argc, char **argv)
GWENHYWFAR_API int | GWEN_Funcs_Call_DB_NODE_Args (const GWEN_FUNCS *func, GWEN_DB_NODE *node, int argc, char **argv)
GWENHYWFAR_API const GWEN_FUNCS * | GWEN_Funcs_Find (const GWEN_FUNCS *funcs, const char *name)
GWENHYWFAR_API int | GWEN_Funcs_Has_Call (const GWEN_FUNCS *func)
GWENHYWFAR_API int | GWEN_Funcs_Has_Call_Args (const GWEN_FUNCS *func)
GWENHYWFAR_API int | GWEN_Funcs_Has_Call_DB_NODE_Args (const GWEN_FUNCS *func)
GWENHYWFAR_API void | GWEN_Funcs_Usage (const GWEN_FUNCS *funcs)
GWENHYWFAR_API void | GWEN_Funcs_Usage_With_Help (const GWEN_FUNCS *funcs)

## Macro Definition Documentation

## GWEN_FE_D

#define GWEN_FE_D GWEN_FUNCS_ENTRY_DB_NODE

Definition at line 70 of file funcs.h.

## GWEN_FE_DA

#define GWEN_FE_DA GWEN_FUNCS_ENTRY_DB_NODE_ARGS

Definition at line 69 of file funcs.h.

## GWEN_FE_DAH

#define GWEN_FE_DAH GWEN_FUNCS_ENTRY_DB_NODE_ARGS_HELP

Definition at line 68 of file funcs.h.

## GWEN_FE_END

#define GWEN_FE_END GWEN_FUNCS_ENTRY_END

Definition at line 71 of file funcs.h.

## GWEN_FUNCS_ENTRY

#define GWEN_FUNCS_ENTRY | ( |  | a,
|  |  | b )

Value:
{ a, b, NULL, NULL, NULL }

Definition at line 63 of file funcs.h.

## GWEN_FUNCS_ENTRY_ARGS

#define GWEN_FUNCS_ENTRY_ARGS | ( |  | a,
|  |  | b )

Value:
{ a, 0, b, NULL, NULL }

Definition at line 64 of file funcs.h.

## GWEN_FUNCS_ENTRY_DB_NODE_ARGS

#define GWEN_FUNCS_ENTRY_DB_NODE_ARGS | ( |  | a,
|  |  | b )

Value:
{ a, NULL, NULL, b, NULL }

Definition at line 65 of file funcs.h.

## GWEN_FUNCS_ENTRY_DB_NODE_ARGS_HELP

#define GWEN_FUNCS_ENTRY_DB_NODE_ARGS_HELP | ( |  | a,
|  |  | b,
|  |  | c )

Value:
{ a, NULL, NULL, b, c }

Definition at line 57 of file funcs.h.

## GWEN_FUNCS_ENTRY_END

#define GWEN_FUNCS_ENTRY_END | ( |  | ) |

Value:
{ NULL, NULL, NULL, NULL, NULL }

Definition at line 60 of file funcs.h.

## GWEN_FUNCS_ENTRY_HELP

#define GWEN_FUNCS_ENTRY_HELP | ( |  | a,
|  |  | b,
|  |  | c )

Value:
{ a, b, NULL, NULL, c }

Definition at line 51 of file funcs.h.

## GWEN_FUNNCS_ENTRY_ARGS_HELP

#define GWEN_FUNNCS_ENTRY_ARGS_HELP | ( |  | a,
|  |  | b,
|  |  | c )

Value:
{ a, 0, b, NULL, c }

Definition at line 54 of file funcs.h.

## Function Documentation

## GWEN_Funcs_Call()

GWENHYWFAR_API int GWEN_Funcs_Call | ( | const GWEN_FUNCS * | func | ) |

References GWENHYWFAR_API.

## GWEN_Funcs_Call_Args()

GWENHYWFAR_API int GWEN_Funcs_Call_Args | ( | const GWEN_FUNCS * | func,
|  | int | argc,
|  | char ** | argv )

References GWENHYWFAR_API.

## GWEN_Funcs_Call_DB_NODE_Args()

GWENHYWFAR_API int GWEN_Funcs_Call_DB_NODE_Args | ( | const GWEN_FUNCS * | func,
|  | GWEN_DB_NODE * | node,
|  | int | argc,
|  | char ** | argv )

References GWENHYWFAR_API.

## GWEN_Funcs_Find()

GWENHYWFAR_API const GWEN_FUNCS * GWEN_Funcs_Find | ( | const GWEN_FUNCS * | funcs,
|  | const char * | name )

This function returns a pointer to the function described by `name` or NULL if the function was not found.

## GWEN_Funcs_Has_Call()

GWENHYWFAR_API int GWEN_Funcs_Has_Call | ( | const GWEN_FUNCS * | func | ) |

References GWENHYWFAR_API.

## GWEN_Funcs_Has_Call_Args()

GWENHYWFAR_API int GWEN_Funcs_Has_Call_Args | ( | const GWEN_FUNCS * | func | ) |

References GWENHYWFAR_API.

## GWEN_Funcs_Has_Call_DB_NODE_Args()

GWENHYWFAR_API int GWEN_Funcs_Has_Call_DB_NODE_Args | ( | const GWEN_FUNCS * | func | ) |

References GWENHYWFAR_API.

## GWEN_Funcs_Usage()

GWENHYWFAR_API void GWEN_Funcs_Usage | ( | const GWEN_FUNCS * | funcs | ) |

This function prints out a space separated list of all defined functions without description.

References GWENHYWFAR_API.

## GWEN_Funcs_Usage_With_Help()

GWENHYWFAR_API void GWEN_Funcs_Usage_With_Help | ( | const GWEN_FUNCS * | funcs | ) |

This function outputs a list of all defined functions including the description

References GWENHYWFAR_API.